06

May
2016

Please provide your feedback

Hello everybody. It was long time ago when I posted something here. I am considering to get my hands back on Slax again, but before I do so, I would like to hear your feedback. I would like to kindly ask you to fill the questionnaire which I have prepared. It should load right under this text. If it does not, you can click here. When finished, you will be able to see summary of responses. Thank you for your time!

User comments
Lightning 2016-05-07 19:08

2 notes/additions (as they're not selectable in the poll):
* for me slax doesn't have to get translated into my language (german in my case), but the local keyboard layout should be supported/selectable; especially when using slax on a foreign computer with a foreign keyboard layout it's very usefull to be able to select the layout you have in front of you
* 500mb < slax < 700mb (to be able to burn it to a normal cd)

Noxigar 2016-05-08 08:41

Personally i have modified slax pxe scripts for custom software deployment by injecting a new .sb module.

Ferenc Kurucz 2016-05-08 10:27

Hi,

Does this mean you are contemplating a fresh build?

As for the questionnaire i only have one comment:
-for GUI i would prefer to use LXDE.

Prcek 2016-05-09 04:38

I think the current system of modules is generally good, but has some flaws. I like that you can download modules created by other people, you can create your own modules and share them with others.

What I think is wrong, that you cannot easily upload new version of some module. You have to wait for the maintainer (creator) of the module to do it. Not all of the module creators look after their modules and update them regularly. If your module has dependencies (for example newer version of KDE environment) and you cannot update the current KDE modules, then you cannot update even your own module, if it depends on newer KDE libraries. And there you have a little bit of deadlock.

It would be nice to let people create new versions of the same module, like with the Slax 6. I know it looks better when you have only one version of the module instead of 10, but the power (time, excitement) of the volunteers shouldn't be wasted. One administrator cannot maintain the whole repository.

It is definitely better to have a lot of (untrusted) modules you can choose from, than only few which were verified by some administrator. If the user will not find his favorite software in the repository, he will use another distro and that is not good for the community around Slax. The bigger the community the better ;-).

Oliver Mak 2016-05-15 00:46

I agree with "Lightning" and "Prcek"

OFF topic:
Many users asked (http://old.slax.org/forum.php?action=view&parentID=87666&highlight=firefox):
"...when I start firefox it closes immediately after starting..."

I've tried this:
Delete the extension named:
"last-tab-close-button@victor.sacharin.XPI"
from the folder (from evreywhere)
/root/.mozilla/firefox/z3mlc794.default/extensions/

It seems to work good without this extension.

Oliver Mak 2016-05-15 00:52

Off:
Incorrect time settings here.
07:52

kok0 2016-05-31 01:09

I managed to run chromium51 on slax7.0.5(but there are some problems with video). and also I built a module for it(32bit):

http://ya-qwe99.narod.ru/s/chromium.htm

(sorry for offtopic)

Maxim 2016-07-11 19:42

Hi.
Sorry for offtopic. Is it possible to update linux kernel in SLAX 7.0.8? Now the version of kernel is 3.8.2 and I need to install kernel 3.10.102 or later. I successfully compiled linux kernel 4.6.3 but had an error "Fatal: Trying to map files from unnamed device 0x000f" during installation process.
Please help to install linux kernel in SLAX.

Maxim 2016-07-12 20:51

(continuation) I successfully compiled and installed linux kernel 4.6.4, but SLAX didn't start with new kernel. My questions - is it possible to upgrade linux kernel in SLAX, and how to do it? Thank you.